import {
  request
} from '../_utils/request';

/** 优惠券列表 */
export async function getCouponList(parm) {
  return new Promise((resolve, reject) => {
    request({
      url: `CouponApi/getCouponList`,
      data: parm,
      method: 'GET',
      success: function (res) {
        let data = res.data;
 
        resolve(data);
      },
      fail: function (error) {
        reject(error);
      }
    });
  });
}